<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:bind="http://schemas.android.com/apk/res-auto">
    <data>
        <variable
            name="viewModel"
            type="com.vessel.app.welcometeams.WelcomeTeamViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/teams_screen_bg">


        <include
            android:id="@+id/toolbar"
            layout="@layout/toolbar_back"
            bind:handler="@{viewModel}"/>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/top_padding_huge"
            android:orientation="vertical"
            android:padding="@dimen/bugsee_padding_normal_1_5"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/imgTeams"
                android:layout_width="80dp"
                android:layout_height="80dp"
                android:layout_gravity="center_horizontal"
                android:src="@drawable/img_your_teams" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/lblTitle"
                style="@style/Title.Bold"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/bugsee_padding_normal_1_5"
                android:gravity="center"
                android:paddingStart="@dimen/bugsee_padding_normal"
                android:paddingEnd="@dimen/bugsee_padding_normal"
                tools:text="@string/your_team_welcome"
                android:textSize="35sp" />

            <androidx.appcompat.widget.AppCompatTextView
                style="@style/Text.XS"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/bugsee_padding_normal_1_5"
                android:gravity="center"
                android:text="@string/your_team_desc" />
        </LinearLayout>

        <com.vessel.app.views.BlackRoundedButtonGroup
            android:id="@+id/btnContinue"
            style="@style/FooterButton"
            android:layout_marginBottom="@dimen/spacing_normal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:text="@{@string/str_continue}"
            tools:background="@color/blackAlpha70"
            android:onClick="@{(view) -> viewModel.onContinueClick()}"/>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>